[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#604783: needs to have entries for regular installer



Hello.

Please review this patch.

I think the problem is the media itself (memory-usb). ... For some reason, I think, you lose the interactivity and debconf stop receiving/sending data.

Thank you very much!


Greetings.



--
José A. González

Siempre GNU Linux-libre.
--- live-installer.postinst	2011-01-19 21:56:33.000000000 +0100
+++ mio-live-installer.postinst	2011-01-26 03:35:31.000000000 +0100
@@ -1,5 +1,7 @@
 #!/bin/sh -e
 
+anna-install squashfs-modules
+
 . /usr/share/debconf/confmodule
 db_capb backup
 
@@ -33,6 +35,8 @@
 		SUPPORT=$(echo $place | sed 's,.*\.\(.*\)$,\1,g')
 		info "Using $SUPPORT support for $place"
 
+anna-install $SUPPORT || true
+
 		PLACE_FOUND=1
 
 		eval ${SUPPORT}_prepare
--- squashfs	2011-01-19 21:56:33.000000000 +0100
+++ mio-squashfs	2011-01-26 04:28:06.000000000 +0100
@@ -6,7 +6,7 @@
 PLACES="$PLACES /cdrom/casper/filesystem.squashfs"
 
 squashfs_prepare() {
-	anna-install squashfs-modules || true
+#	anna-install squashfs-modules || true
 
 	if [ -x /sbin/depmod ]; then
 		depmod -a > /dev/null 2>&1 || true

Reply to: